com.io7m.jcamera.examples.jogl

## Class ExampleSphericalGLListener

- java.lang.Object
- - com.io7m.jcamera.examples.jogl.ExampleSphericalGLListener

- All Implemented Interfaces:
    com.jogamp.opengl.GLEventListener, EventListener

      public final class ExampleSphericalGLListener
      extends Object
      implements com.jogamp.opengl.GLEventListener

  The GL event listener used to handle rendering and driving of the simulation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleSphericalGLListener(ExampleRendererType in_renderer, JCameraSphericalSnapshot in_snap, ExampleSphericalSimulationType in_sim, AtomicReference<JCameraSphericalMouseRegion> in_mouse_region, com.jogamp.newt.opengl.GLWindow in_window)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `display(com.jogamp.opengl.GLAutoDrawable drawable)`
    `void` | `dispose(com.jogamp.opengl.GLAutoDrawable drawable)`
    `void` | `init(com.jogamp.opengl.GLAutoDrawable drawable)`
    `void` | `reshape(com.jogamp.opengl.GLAutoDrawable drawable, int x, int y, int width, int height)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleSphericalGLListener

          public ExampleSphericalGLListener(ExampleRendererType in_renderer,
                                            JCameraSphericalSnapshot in_snap,
                                            ExampleSphericalSimulationType in_sim,
                                            AtomicReference<JCameraSphericalMouseRegion> in_mouse_region,
                                            com.jogamp.newt.opengl.GLWindow in_window)

  - ### Method Detail

    - #### init

          public void init(@Nullable
                           com.jogamp.opengl.GLAutoDrawable drawable)

      Specified by:
        `init` in interface `com.jogamp.opengl.GLEventListener`

    - #### dispose

          public void dispose(@Nullable
                              com.jogamp.opengl.GLAutoDrawable drawable)

      Specified by:
        `dispose` in interface `com.jogamp.opengl.GLEventListener`

    - #### display

          public void display(@Nullable
                              com.jogamp.opengl.GLAutoDrawable drawable)

      Specified by:
        `display` in interface `com.jogamp.opengl.GLEventListener`

    - #### reshape

          public void reshape(@Nullable
                              com.jogamp.opengl.GLAutoDrawable drawable,
                              int x,
                              int y,
                              int width,
                              int height)

      Specified by:
        `reshape` in interface `com.jogamp.opengl.GLEventListener`

Copyright © 2016 <code@io7m.com> http://io7m.com